# RPM specfile for gtoaster module
# Generated Mon Apr 29 18:44:45 2002 GMT by Ximian build system
# $Id: bb_do,v 1.182 2002/03/26 20:35:26 dave Exp $
# from 

%define nam	gtoaster
%define ver	1.0
%define ximrev	1

Name:     	gnome-toaster
Version: 	1.0
Release:	0.beta5.1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.2 / i586
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://gnometoaster.rulez.org
Epoch:		0
Source0:	gtoaster1.0Beta5.tgz
Summary:	A versatile CD recording package for both sound and data
Group:		Applications/Archiving
Requires:	cdrecord
Requires:	mkisofs
Requires:	cdparanoia
Requires:	sox
Provides:	ximian-gnome-toaster = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Gnome Toaster is a versatile CD creation suite.  It is designed to be
as user-friendly as possible, allowing you to create CD-ROMs with just
a few simple mouse clicks.  Audio and data CDs are both possible.
Gnome Toaster is also well integrated with the GNOME and KDE
filemanagers.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README TODO
/usr/bin/*
/usr/*/locale/*/LC_MESSAGES/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gtoaster
    ;;
all)
%setup  -q -n gtoaster
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon Apr 29 2002 Ximian, Inc.

- Version: 0.2002012700+1.0Beta5-0.beta5.1.ximian.1
- Summary: New build.
- New automated build.

